Bug 9779 - Remove global include of YUI assets from the staff client
Summary: Remove global include of YUI assets from the staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on: 8278 9690 9697 9764 9769 9771 9773
Blocks: 10522
  Show dependency treegraph
 
Reported: 2013-03-10 13:28 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9779 - Remove global include of YUI assets from the staff client (2.86 KB, patch)
2013-05-31 18:24 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9779 - Remove global include of YUI assets from the staff client (2.66 KB, patch)
2013-06-04 04:40 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 9779 - Remove global include of YUI assets from the staff client (2.83 KB, patch)
2013-06-16 19:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-10 13:28:24 UTC
At the time this bug being filed there are only a handful of pages in the staff client which still require YUI assets. Pending patches cover most of these (listed as dependencies on this bug).

There is one page, basketgroups.pl, which still doesn't have a patch to re-implement the drag-and-drop functionality in something other than YUI. I propose to remove YUI assets from the global include file and include them explicitly in the basketgroups template until that conversion can be done.
Comment 1 Owen Leonard 2013-05-31 18:24:22 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-06-04 04:40:37 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-06-16 19:32:22 UTC
Created attachment 19047 [details] [review]
[PASSED QA] Bug 9779 - Remove global include of YUI assets from the staff client

There are no pages in the staff client which use YUI JS assets other
than basketgroups.tt. The links to YUI assets can therefore be removed
from the global include and put directly into the basket groups
template.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script. Really nice to see YUI go.
Checked that the drag&drop functionality in basket groups still works.
Comment 4 Galen Charlton 2013-06-16 22:46:43 UTC
Pushed to master.  Thanks, Owen!

Besides basketgroup.tt, there are a few remaining references to JavaScript widgets in the YHAOO namespace:

- koha-tmpl/intranet-tmpl/prog/en/modules/admin/stopwords.tt

This template is used by a script that is no longer linked to the administration page, and per bug 9819 it looks like there's an active effort underway to remove the last of the legacy stopwords code.

- koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt

The only reference is in in a FIXME comment that can probably just be removed.

- koha-tmpl/intranet-tmpl/prog/en/modules/course_reserves/course-reserves.tt

The references are in commented-out code that appears to be the beginning of an attempt to add a course reserve search option to the global search box.  This code can probably just be removed; adding such a search option for real can be the topic of a separate bug.